#!/usr/bin/env python3
# -*- coding: utf-8 -*-

'''Unique sequencer instance for all APIs'''

# Custom modules
from sequencer import Sequencer

from data_access_object import SchemaObject
from data_access_object import ObservationBlockObject
from data_access_object import SetupObject
from data_access_object import DocObject

from devices_access_object import DevicesObject
from rtc_access_object import RtcObject

seq = Sequencer()

sch = SchemaObject()
dao = ObservationBlockObject("/opt/tan/share/shins/saved")
tpl = SetupObject("/opt/tan/share/shins/templates/ob")
ref = SetupObject("/opt/tan/share/shins/templates/ref")
doc = DocObject("/opt/tan/share/shins/templates/doc")

deo = DevicesObject()
RTC = RtcObject()
